<?php

namespace App\Models;

use App\Models\FinishedContracts;
use App\Models\Suppliers;
use App\Models\Status;
use Illuminate\Database\Eloquent\Model;

class Payments extends Model
{
    //
    protected $fillable = [
        'contract_id',
        'supplier_id',
        'amount',
        'status_id',
    ];

    public function finishedcontracts()
    {
        return $this->belongsTo(FinishedContracts::class);
    }

    public function suppliers()
    {
        return $this->belongsTo(Suppliers::class);
    }

    public function status()
    {
        return $this->belongsTo(Status::class);
    }
}
